#include <bits/stdc++.h>
#define en '\n'

using namespace std;

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    string T, S;
    cin >> T >> S;
    int N = T.size();
    int M = S.size();
    int br1 = 0, br2 = 0;
    for (int i = 0; i < N; i++)
    {
        if (T[i] == 'a')
            br1++;
    }
    for (int i = 0; i < M; i++)
    {
        if (S[i] == 'a')
            br2++;
    }
    int ans = 0;
    for (int i = 0; i < N; i++)
    {
        if (T[i] == 'a' && br1 >= br2)
        {
            T[i] = '*';
            ans++;
            br1--;
        }
    }
    cout << ans << en;
    cout << T;
    return 0;
}